Bug 198097 - xenguest-install.py defaults to xenbr0 as the bridge interface for new VMs
xenguest-install.py defaults to xenbr0 as the bridge interface for new VMs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 12:51 EDT by Jon Fautley
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 21:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for xenguest-install.py to add '--bridge option (3.95 KB, patch)
2006-07-09 12:51 EDT, Jon Fautley
no flags Details | Diff
Patch to xenguest-install.py to add '--bridge' option to specify bridge device to use (3.95 KB, patch)
2006-07-10 13:23 EDT, Jon Fautley
no flags Details | Diff

  None (edit)
Description Jon Fautley 2006-07-09 12:51:50 EDT
Description of problem:
/usr/sbin/xenguest-install.py uses 'xenbr0' as the bridge for all newly created VMs. This is not 
desirable in environments with different, seperate bridges (i.e. on a remote hosting machine, you may 
have some VMs you don't want on the public internet, and you wish to hide them behind NAT - such a 
setup would have multiple bridge interfaces, and bridging to the wrong interface could have negative 
security implications)

Version-Release number of selected component (if applicable):
3.0.2-3.FC5

Additional info:
A patch is attached against xenguest-install.py to rectify this issue. This patch adds the '-b' option to 
xenguest-install allowing a bridge name to be specified on the command line. If this option is not 
specified, then the default of 'xenbr0' is used.
Comment 1 Jon Fautley 2006-07-09 12:51:50 EDT
Created attachment 132138 [details]
Patch for xenguest-install.py to add '--bridge option
Comment 2 Jon Fautley 2006-07-10 13:21:26 EDT
Comment on attachment 132138 [details]
Patch for xenguest-install.py to add '--bridge option

This patch is a bit broken, and ends up creating two(!) network interfaces in
the config file. Obsoleting the patch to prevent badness occuring...
Comment 3 Jon Fautley 2006-07-10 13:23:00 EDT
Created attachment 132187 [details]
Patch to xenguest-install.py to add '--bridge' option to specify bridge device to use
Comment 4 Jeremy Katz 2006-07-10 21:29:30 EDT
Added to CVS for 3.0.2-11

Note You need to log in before you can comment on or make changes to this bug.